import { ComponentType, ReactNode } from 'react';
import { InitializationOptions } from './base/types';
import { Ux4iot } from './base/Ux4iot';
declare type Ux4iotProviderProps = {
    options: InitializationOptions;
    children?: ReactNode;
};
declare type Ux4iotContextProps = {
    ux4iot: Ux4iot | undefined;
    sessionId: string;
};
export declare const Ux4iotContext: import("react").Context<Ux4iotContextProps>;
export declare const Ux4iotContextProvider: ComponentType<Ux4iotProviderProps>;
export declare const useUx4iot: () => Ux4iotContextProps;
export {};
