import { GrantErrorCallback, SubscriptionErrorCallback, MessageCallbackBase } from './base/types';
declare type HookOptions<T> = {
    onData?: MessageCallbackBase<T>;
    onGrantError?: GrantErrorCallback;
    onSubscriptionError?: SubscriptionErrorCallback;
};
export declare const useTelemetry: <T = any>(deviceId: string, telemetryKey: string, options?: HookOptions<T>) => T | undefined;
export {};
