"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isProdOptions = exports.isDevOptions = exports.GRANT_RESPONSES = void 0;
var GRANT_RESPONSES;
(function (GRANT_RESPONSES) {
    GRANT_RESPONSES["FORBIDDEN"] = "FORBIDDEN";
    GRANT_RESPONSES["UNAUTHORIZED"] = "UNAUTHORIZED";
    GRANT_RESPONSES["GRANTED"] = "GRANTED";
    GRANT_RESPONSES["ERROR"] = "ERROR";
})(GRANT_RESPONSES = exports.GRANT_RESPONSES || (exports.GRANT_RESPONSES = {}));
function isDevOptions(options) {
    return !!options.adminConnectionString;
}
exports.isDevOptions = isDevOptions;
function isProdOptions(options) {
    return !!options.grantRequestFunction && !!options.ux4iotURL;
}
exports.isProdOptions = isProdOptions;
